@import url('https://fonts.googleapis.com/css2?family=Barlow+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Barlow:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
	--colorText: #2C3548;
	--colorPrimary: #016D77;
	--colorPrimaryGhost: #E5F0F1;
	--colorPrimaryTransparent: rgba(1, 109, 119, 0.30);
	--colorSecondary: #24211E;
	--trinaxColor: #30C0EE;
	--struqturColor: #781CD7;
	--jiricomColor: #FFC502;
	--footerBg: #111111;
	--secondaryGradient: linear-gradient(0deg,rgba(36, 33, 30, 1) 0%, rgba(36, 33, 30, 0) 100%);;
}

html {
	scroll-behavior: smooth;
}

body {
	font-family: "Barlow", sans-serif;
	font-size: 18px;
	color: var(--colorText);
	overflow-x: hidden;

	&.menu--open {
		overflow: hidden;
		height: 100vh;
	}
}

* {
	margin: 0;
	padding: 0;
}

::selection {
	background-color: var(--colorPrimary);
	color: #fff;
}

a {
	color: var(--colorPrimary);
	text-decoration: none;
}

p {
	line-height: 1.4;
}

.external-link {
	--buttonBg: var(--colorPrimary);
	--buttonColor: var(--colorPrimary);
	--buttonHoverText: #fff;
	display: inline-block;
	color: var(--buttonColor);
	border: 1px solid var(--buttonBg);
	padding: 20px;
	border-radius: 4px;
	transition: all 0.2s ease-in-out;

	&:is(:hover) {
		background-color: var(--buttonBg);
		color: var(--buttonHoverText);
	}
}

img {
	max-width: 100%;
	height: auto;
}

p + p,
p + a,
:is(h1, h2, h3, h4, h5, h6) + p {
	margin-top: 20px;
}

h1,
h2,
h3,
h4,
h5,
h6,
.site-logo {
	font-family: "Barlow Condensed", sans-serif;
	font-weight: 600;
	z-index: 1;
}

h1 {
	font-size: 62px;
	
	@media screen and (max-width: 800px) {
		font-size: 32px;
	}
}

h2 {
	font-size: 42px;
}

.wrapper {
	max-width: 1180px;
	margin-inline: auto;
	padding: 0 20px;

	&.wrapper--medium {
		max-width: 680px;
	}

	&.wrapper--small {
		max-width: 460px;
	}
}

.flex-container {
	display: flex;
	align-items: center;
	gap: 80px;

	@media screen and (max-width: 1024px) {
		flex-direction: column;
	}
}

.site-logo {
	font-size: 40px;
	text-transform: uppercase;
	color: #fff;
	font-weight: 700;

	span {
		font-weight: 300;
	}
}

.header {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	padding: 48px 0 24px;
	background: linear-gradient(180deg,rgba(0, 0, 0, 0.8) 0%, rgba(0, 0, 0, 0) 100%);
	z-index: 1;

	.wrapper {
		display: flex;
		justify-content: space-between;
		align-items: center;
	}
}

.menu-toggler {
	display: none;
	background: rgba(255, 255, 255, 0.25);
	padding: 10px;
	border-radius: 4px;

	@media screen and (max-width: 1024px) {
		display: flex;
		flex-direction: column;
		gap: 4px;
		z-index: 1;
	}

	.menu-toggler__bar {
		width: 20px;
		height: 2px;
		background: #fff;
		transition: all 0.25s ease-in-out;
	}

	.menu--open & {
		.menu-toggler__bar {
			&:nth-child(1) {
				transform: rotate(45deg) translateX(6px) translateY(4px);
			}
			&:nth-child(2) {
				transform: translateX(100%);
				opacity: 0;
			}
			&:nth-child(3) {
				transform: rotate(135deg) translateX(-4px) translateY(3px);
			}
		}
	}
}

.menu {
	display: flex;
	align-items: center;
	gap: 16px;

	@media screen and (max-width: 1024px) {
		position: fixed;
		flex-direction: column;
		justify-content: center;
		gap: 32px;
		top: 0;
		left: 0;
		width: 100vw;
		height: 100vh;
		background-color: var(--colorPrimary);
		transform: translateX(100%);
		transition: all 0.25s ease-in-out;

		.menu--open & {
			transform: translateX(0);
		}
	}

	.menu__link {
		color: #fff;
		font-weight: 500;
		padding: 8px;
		border-radius: 4px;
		line-height: 1;
		transition: all 0.2s ease-in-out;

		&:is(:hover) {
			background-color: var(--colorPrimaryTransparent);
		}
	}
}

.hero {
	position: relative;
	display: grid;
	place-content: center;
	height: 76vh;
	background: linear-gradient(45deg,var(--colorPrimary) 0%, rgba(0, 0, 0, 0) 100%);

	.hero__video {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		object-fit: cover;
		z-index: -1;
	}

	.hero__content {
		text-align: center;

		* {
			color: #fff;
		}
	}
}

section {
	overflow-x: hidden;
}

.section {
	margin: 150px 0;

	&.section--highlight {
		background-color: var(--colorPrimaryGhost);
		padding: 100px 20px;
		margin: 0;

		* {
			color: var(--colorPrimary);
		}
	}

	&.section--center {
		text-align: center;
	}
}

.image-text {
	display: grid;
	grid-template-areas: "image content";
	justify-content: center;
	align-items: center;
	grid-template-columns: 1fr 1fr;

	@media screen and (max-width: 1024px) {
		grid-template-columns: 1fr;
		grid-template-areas:
			"image"
			"content";
	}

	&.image-text--reversed {
		grid-template-areas: "content image";

		@media screen and (max-width: 1024px) {
			grid-template-areas:
			"image"
			"content";
		}

		.image-text__content {
			grid-area: content;
		}
	}

	&.image-text--highlight {
		background-color: var(--colorPrimary);
		color: #fff;

		::selection {
			background-color: #fff;
			color: var(--colorPrimary);
		}
	}

	.image-text__image {
		@media screen and (max-width: 1024px) {
			width: 90vw;
			margin-inline: auto;
			border-radius: 20px;
		}
	}

	.image-text__content {
		grid-area: content;
		max-width: 460px;
		padding: 40px;
		margin-inline: auto;
	}

	&.image-text--trinax {
		@media screen and (max-width: 1024px) {
			margin-top: 20px;
		}

		.external-link {
			--buttonBg: var(--trinaxColor);
			--buttonColor: var(--trinaxColor);
		}
	}

	&.image-text--struqtur {
		.external-link {
			--buttonBg: var(--struqturColor);
			--buttonColor: var(--struqturColor);
		}
	}
	&.image-text--jiricom {
		.external-link {
			--buttonBg: var(--jiricomColor);
			--buttonColor: var(--jiricomColor);
			--buttonHoverText: var(--colorText);
		}
	}

	.image-text__logo {
		margin-bottom: 24px;
	}
}

.contact {
	display: grid;
	grid-template-areas: 'empty content';
	grid-template-columns: 1fr 1fr;
	justify-content: center;
	align-items: center;
	background-image: url('images/bg-contact.jpg');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: top center;
	min-height: 485px;

	@media screen and (max-width: 800px) {
		grid-template-areas:
		"image"
		"content";
		grid-template-columns: 1fr;
		background-image: none;
		background-color: var(--colorSecondary);
	}

	.contact__image {
		display: none;
		line-height: 0;
		padding-top: 20px;

		@media screen and (max-width: 800px) {
			position: relative;
			display: block;
			grid-area: image;
			width: 90vw;
			margin-inline: auto;

			img {
				border-radius: 20px;
			}
		}
	}

	.contact__content {
		display: flex;
		flex-direction: column;
		gap: 40px;
		grid-area: content;
		margin-inline: auto;

		@media screen and (max-width: 800px) {
			grid-area: content;
			background-color: var(--colorSecondary);
			width: 100%;
			padding: 40px;
			box-sizing: border-box;
			overflow-x: hidden;
		}

		* {
			color: #fff;
			margin: 0;
		}

		.contact__information {
			display: flex;
			align-items: center;
			gap: 16px;

			& + & {
				margin-top: 16px;
			}

			.contact__information__icon-container {
				position: relative;
				display: flex;
				justify-content: center;
				align-items: center;
				width: 38px;
				height: 38px;
				background-color: var(--colorPrimary);
				border-radius: 8px;
				outline: 4px solid var(--colorPrimaryTransparent);
			}

			.contact__information__icon {
				width: 16px;
			}

			.contact__information__content {
				.contact__information__content__label {
					font-size: 11px;
					font-weight: 700;
				}
			}
		}
	}
}

.footer {
	padding: 60px 0;
	background-color: var(--footerBg);
	text-align: center;

	.menu {
		justify-content: center;

		.menu__link {
			font-size: 16px;
		}
	}
}

.js-fade-in,
.js-move-in {
	will-change: opacity, transform;
}
